---
updatedAt: 2026-04-12T09:22:58.000Z
---

# Create Placement Bid Multipliers

Create placement bid multipliers for a campaign using this method.

> 📘 URL: ​POST /api/v1/multipliers/placement

# Request Parameters

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Notes",
    "h-2": "Type",
    "h-3": "Required ",
    "h-4": "Possible Values",
    "0-0": "campaignId    ",
    "0-1": "ID of the campaign",
    "0-2": "integer",
    "0-3": "Y",
    "0-4": "Unique numeric identifier",
    "1-0": "placementType    ",
    "1-1": "Type of the placement    ",
    "1-2": "string",
    "1-3": "Y",
    "1-4": "For auto campaigns:<ul><li>Buy-Box</li><li>Search Ingrid</li><li>Home Page</li><li>Stock Up</li></ul>For manual campaigns:<ul><li>Buy-Box</li><li>Search Ingrid</li></ul>",
    "2-0": "multiplier",
    "2-1": "% Value by which original bid is modified",
    "2-2": "double",
    "2-3": "N",
    "2-4": "Value of multiplier  \nNote: For TROAS campaigns, we do not support placement bid multipliers. If multiplier is passed, this will be ignored by the system."
  },
  "cols": 5,
  "rows": 3,
  "align": [
    null,
    null,
    null,
    null,
    null
  ]
}
[/block]

## Headers

| Header Name              | Description                                                                                                            | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.           | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| WM\_CONSUMER.ID          | We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Auth signature as an API key.                                                                                          | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                         | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| Content-Type             | Format of the message body                                                                                             | Y        | application/json                                                                                                                                 |

## Sample Request

```curl
curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/multipliers/placement' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1'  \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '[
          { 
          "campaignId": 600001, 
          "placementType": "Buy-Box", 
          "multiplier": 100.0 
        }
    ]'
```

# Response

| Element               | Description                                                       | Type    |
| --------------------- | ----------------------------------------------------------------- | ------- |
| code                  | The response code can have following values: `success`, `failure` | string  |
| details               | Details of the error if value of response code is `failure`       | string  |
| placementMultiplierId | ID of the placement multiplier                                    | integer |

## Sample Response

```json
[
  {
    "code": "success",
    "details": "",
    "placementMultiplierId": 1001
  },
  {
    "code": "failure",
    "details": "The placement bid% cannot be less than 0 / Invalid Placement Type found",
    "placementMultiplierId": 0
  }
]
```